Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.control
Class Janitor

An agent that can be used to defer cleanup operations to a later time. Users much implement the HasCleanup interface.

author:
  Chris Poirier

version:
  $Id: Janitor.java 10601 2008-01-25 01:11:39Z blackdrag $

Field Summary
`Set` | `pending`

Constructor Summary
`Janitor()`

Method Summary
`void` | `cleanup()`
`void` | `register(HasCleanup object)`

Constructor Detail

### Janitor

    Janitor()

Method Detail

### cleanup

    public void cleanup()

### register

    public void register(HasCleanup object)